Bug 63582 - HTTP calls are going as blank requests after upgrading to JDK8 update 221
Summary: HTTP calls are going as blank requests after upgrading to JDK8 update 221
Status: RESOLVED INVALID
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.1.1
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: JDK1.5
Depends on:
Blocks:
 
Reported: 2019-07-22 22:42 UTC by santakd
Modified: 2019-09-21 16:59 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description santakd 2019-07-22 22:42:35 UTC
Hello,
 Today we upgraded to 8u221 and HTTP requests were going as blank
 JDK file name: jdk-8u221-windows-x64.exe
 Reverting back to 8u202 (earlier version) solved the problem
 
 JMeter: 5.1.1
 OS: Windows Server 2019
 JDK: 8u221 (broken)

 Creating this bug so that it can be resolved and others are aware of this issue
 
 Thank you
Comment 1 santakd 2019-07-22 22:55:54 UTC
Adding the error response
---

  <cookies class="java.lang.String"></cookies>
  <method class="java.lang.String">POST</method>
  <queryString class="java.lang.String">{&#xd;
  &#xd;
  &quot;expires&quot;: 500,&#xd;
  &#xd;
  &quot;objectIds&quot;: [&#xd;
    &quot;36a24d23-7b92-4b00-8476-2bb888d3fb9e&quot;&#xd;
  ]&#xd;
}</queryString>
  <java.net.URL>https://fqdn/v1/urlGenerator?action=get</java.net.URL>
</httpSample>
<httpSample t="0" it="0" lt="0" ct="0" ts="1563828474840" s="false" lb="PDF_05_DownloadFile" rc="Non HTTP response code: java.net.URISyntaxException" rm="Non HTTP response message: Illegal character in path at index 47: https://fqdn/${c_DownloadURL}" tn="PDF 00618KB STD 8-1" dt="text" de="" by="1149" sby="0" sc="1" ec="1" ng="2" na="17" hn="hostname">
  <responseHeader class="java.lang.String"></responseHeader>
  <requestHeader class="java.lang.String"></requestHeader>
  <responseData class="java.lang.String">java.net.URISyntaxException: Illegal character in path at index 47: https://peg.streaming.skydrive.rd.elliemae.io/${c_DownloadURL}&#xd;
	at java.net.URI$Parser.fail(Unknown Source)&#xd;
	at java.net.URI$Parser.checkChars(Unknown Source)&#xd;
	at java.net.URI$Parser.parseHierarchical(Unknown Source)&#xd;
	at java.net.URI$Parser.parse(Unknown Source)&#xd;
	at java.net.URI.&lt;init&gt;(Unknown Source)&#xd;
	at java.net.URL.toURI(Unknown Source)&#xd;
	at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:548)&#xd;
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:67)&#xd;
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1231)&#xd;
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1220)&#xd;
	at org.apache.jmeter.threads.JMeterThread.doSampling(JMeterThread.java:622)&#xd;
	at org.apache.jmeter.threads.JMeterThread.executeSamplePackage(JMeterThread.java:546)&#xd;
	at org.apache.jmeter.threads.JMeterThread.processSampler(JMeterThread.java:486)&#xd;
	at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:253)&#xd;
	at java.lang.Thread.run(Unknown Source)&#xd;
</responseData>
  <responseFile class="java.lang.String"></responseFile>
  <cookies class="java.lang.String"></cookies>
  <method class="java.lang.String">GET</method>
  <queryString class="java.lang.String"></queryString>
  <java.net.URL>https://fqdn/${c_DownloadURL}</java.net.URL>
</httpSample>
Comment 2 Philippe Mouawad 2019-07-23 07:00:11 UTC
Hello,
It looks like c_DownloadURL is not resolved.
Look where you extract it first and why it's empty there, you can use View Results Tree and testers available.

Issue is before this request.

I don't know how you migrated, maybe check your dependencies.
Bugzilla is not for such questions though, use mailing list instead.


Thanks